Bug 1031315 - Review Request: rubygem-kramdown - Fast, pure-Ruby Markdown-superset converter
Review Request: rubygem-kramdown - Fast, pure-Ruby Markdown-superset converter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1031318
  Show dependency treegraph
 
Reported: 2013-11-16 14:13 EST by Mamoru TASAKA
Modified: 2013-11-22 00:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 00:51:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ktdreyer: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2013-11-16 14:13:57 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rabbit-related/rubygem-kramdown.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rabbit-related/rubygem-kramdown-1.2.0-1.fc.src.rpm
Description: 
kramdown is yet-another-markdown-parser but fast, pure Ruby,
using a strict syntax definition and supporting several common extensions.

Fedora Account System Username: mtasaka

Copr build:
http://copr-be.cloud.fedoraproject.org/results/mtasaka/rabbit-test/
Comment 1 Ken Dreyer 2013-11-18 23:25:11 EST
I can take this review.
Comment 2 Ken Dreyer 2013-11-19 01:31:16 EST
Looks good, package APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- I recommend deleting the "Generated by gem2rpm" comment, since the version
  number will grow stale, and it doesn't really serve a purpose. Not a blocker.

- I recommend filtering /usr/bin/env and /usr/bin/ruby from Requires.
  Not a blocker.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
     MIT license is specified in the COPYING file.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-kramdown-1.2.0-1.fc21.noarch.rpm
          rubygem-kramdown-doc-1.2.0-1.fc21.noarch.rpm
          rubygem-kramdown-1.2.0-1.fc21.src.rpm
rubygem-kramdown.noarch: W: spelling-error Summary(en_US) superset -> super set, super-set, supersede
rubygem-kramdown.src: W: spelling-error Summary(en_US) superset -> super set, super-set, supersede
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-kramdown-doc rubygem-kramdown
rubygem-kramdown.noarch: W: spelling-error Summary(en_US) superset -> super set, super-set, supersede
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
rubygem-kramdown-doc (rpmlib, GLIBC filtered):
    rubygem-kramdown

rubygem-kramdown (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/ruby
    ruby(release)
    ruby(rubygems)



Provides
--------
rubygem-kramdown-doc:
    rubygem-kramdown-doc

rubygem-kramdown:
    rubygem(kramdown)
    rubygem-kramdown



Source checksums
----------------
https://rubygems.org/gems/kramdown-1.2.0.gem :
  CHECKSUM(SHA256) this package     : d6ba9e0b8e501eac57129d7aca338d34155c29b01bf1b91a87813c301013529e
  CHECKSUM(SHA256) upstream package : d6ba9e0b8e501eac57129d7aca338d34155c29b01bf1b91a87813c301013529e


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1031315
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 3 Mamoru TASAKA 2013-11-19 03:08:35 EST
Thank you!

New Package SCM Request
=======================
Package Name: rubygem-kramdown
Short Description: Fast, pure-Ruby Markdown-superset converter
Owners: mtasaka
Branches: f19 f20
Comment 4 Gwyn Ciesla 2013-11-19 08:09:38 EST
Git done (by process-git-requests).
Comment 5 Mamoru TASAKA 2013-11-22 00:51:38 EST
Rebuilt on all branches, push requested on F-20 and below, closing.

Thank you for reviewing and git procedure.

Note You need to log in before you can comment on or make changes to this bug.